from PyQt5.QtWidgets import QMainWindow
from PyQt5.QtCore import pyqtSignal, QLocale

from gui.uimainwindow import Ui_MainWindow


class MainWindow(QMainWindow):

    sig_app_closed = pyqtSignal(name="app_closed")

    # Use "." as decimal separator.
    QLocale.setDefault(QLocale(QLocale.C))

    def __init__(self):
        super(MainWindow, self).__init__()

        # Set up the user interface from Designer.
        self.main_ui = Ui_MainWindow()
        self.main_ui.setupUi(self)

        # Create the sub-windows
        # self.debuglog_window = DebuglogWindow(self)

        # Link menu buttons to sub-windows
        # self.main_ui.action_debuglog.triggered.connect(self.debuglog_window.show)


    def closeEvent(self, event):
        """Actions to be performed when the MainWindow is closed by user."""
        self.sig_app_closed.emit()
